<script context="module">
    import TopAppBar, {
      Row,
      Section,
      Title,
      AutoAdjust,
    } from '@smui/top-app-bar';
    import IconButton from '@smui/icon-button';
    let topAppBar;
    import TinyPouchDB from '../../TinyPouchDB.svelte';
    let tets;
    let books =[];
</script>
<script>
  export let data;
</script>
<TopAppBar bind:this={topAppBar} variant="fixed">
  <Row>
    <Section>
      <IconButton class="material-icons" href="/">menu</IconButton>
      <Title>Fixed</Title>
    </Section>
    <Section align="end" toolbar>
      <IconButton class="material-icons" aria-label="Download"
        >file_download</IconButton
      >
      <IconButton class="material-icons" aria-label="Bookmark this page"
        >bookmark</IconButton
      >
      <IconButton class="material-icons" aria-label="add"  href="add"
        >add</IconButton
      >
      
    </Section>
</Row>
</TopAppBar>
<br>
<br>
<br>
<br>

<!-- réccuperation des funcion via bind:this={variable} correspondant a = new TinyPouchDB  -->
<TinyPouchDB bind:this={tets} bind:documents={books} initsrc="/books.json" collection="books" >
  
</TinyPouchDB>
      <!-- affichage des information d'un livre si slug = id-->
      {#each books as book}
        {#if data.slug == book._id }
          <p id="{book._id}" class="demo-cell" ><img src="data:{book.img.content_type};base64,{book.img.data}"
              alt="{book.title}"></p>
              <div>
                <p>titre :<br>
                  {book.title}</p>
                  <p>auteur :<br>
                    {book.author}</p>
                  <p>description :</p>
                  <p>{book.description}</p>
                  <p>prix :</p>
                  <p>{book.price}</p>
                  <p>lien de l'offre :</p>
                  <a href={book.url}>{book.url}</a>
                  <p>type de livre :</p>
                  <p>{book.type}</p>
              </div>
              <IconButton class="material-icons" aria-label="chat-left-text" id="edit" href="/edit/{book._id}" tets.id={book._id} >edit</IconButton><IconButton class="material-icons " front-size="28px" aria-label="delete" id="supp" on:click={tets.supprimer(book._id)}>delete</IconButton>
        {/if}
      {/each}



